{% extends "base.html" %}

<!DOCTYPE html>
<html>
<head>
    {% load static %}
    {% block heading %}
    <title>Dashboard</title>
    <link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/1.10.19/css/jquery.dataTables.css">
    <script src="{% static 'js/realtime-memory-and-cpu-usage.js' %}"> </script>
    <script src="{% static 'js/product-list-datatable.js' %}"> </script>
    <script src="{% static 'js/product-action.js' %}"> </script>
    <script
        src="https://cdn.datatables.net/1.10.19/js/jquery.dataTables.min.js"
        integrity="sha384-rgWRqC0OFPisxlUvl332tiM/qmaNxnlY46eksSZD84t+s2vZlqGeHrncwIRX7CGp"
        crossorigin="anonymous"
    ></script>
    <script src="https://cdn.datatables.net/1.10.19/js/dataTables.bootstrap4.min.js"
        integrity="sha384-uiSTMvD1kcI19sAHJDVf68medP9HA2E2PzGis9Efmfsdb8p9+mvbQNgFhzii1MEX"
        crossorigin="anonymous">
    </script>    
    {% endblock heading %}
</head>
<body>
{% block content %}	
    <div class='main-home'>
        <div class="row">
            <div class="col-12 text-center">
                <h1>Products</h1>
            </div>
        </div>
        <div class='row'>
            <div class="col-3 text-center">
                <h4>Total Memory: {{ total_memory }} MB</h4>
            </div>
            <div class="col-3 text-center">
                <h4 id="memory-usage">Memory Usage: {{ memory_usage }} %</h4>
            </div>
            <div class="col-3 text-center">
                <h4 id="cpu-usage">CPU Usage: {{ cpu_usage }} %</h4>
            </div>
            <div class="col-3 text-center">
                <h4>Running Product: <span id="running-product-count">{{ running_product }}</span> / {{ amount_of_products }}</h4>
            </div>
        </div>
        <div class='table-responsive'>
            <table id="product-list-table" class="table">
                <thead class="thead-dark text-center">
                    <tr>
                        <th scope="col">No.</th>
                        <th scope="col">Product Name</th>
                        <th scope="col">Backend Status</th>
                        <th scope="col">Frontend Status</th>
                        <th scope="col">Number of DB Rows</th>
                        <th scope="col">Action</th>
                    </tr>
                </thead>
                <tbody class="text-center">
                    {% for product in products %}
                        <tr>
                            <th scope="row">
                                {{ forloop.counter }}
                            </th>
                            <td>
                                {{ product.name }}
                            </td>
                            
                            <td id="{{ "backend-status-"|add:product.name }}" 
                            {% if product.backend_status == "Running" %}
                            class="text-success" 
                            {% elif product.backend_status == "Stop" %}
                            class="text-danger"
                            {% endif %}
                            >
                                {{ product.backend_status }}
                            </td>
                            
                            <td id="{{ "frontend-status-"|add:product.name }}"
                            {% if product.frontend_status == "Running" %}
                            class="text-success"
                            {% elif product.frontend_status == "Stop" %}
                            class="text-danger"
                            {% endif %}
                            >
                                {{ product.frontend_status }}
                            </td>

                            <td>
                                {{ product.number_of_db_rows }}
                            </td>

                            <td>
                                <div class="btn-group" role="group" id="{{ "action-when-running-"|add:product.name }}"
                                {% if product.status == "Stop" %}
                                style="display: none;"
                                {% endif %}>
                                    <button type="button" class="btn btn-danger" onclick="stopProduct('{{ product.name }}')">Stop</button>
                                    <button type="button" class="btn btn-warning" onclick="restartProduct('{{ product.name }}')">Restart</button>
                                </div>
                                <div class="btn-group" role="group" id="{{ "action-when-stop-"|add:product.name }}"
                                {% if product.status == "Running" %}
                                style="display: none;"
                                {% endif %}>
                                    <button type="button" class="btn btn-success" onclick="startProduct('{{ product.name }}')">Start</button>
                                </div>
                                <button type="button" class="btn btn-primary" onclick="window.open('/{{ product.name }}/detail');">Detail</button>
                            </td>
                        </tr>
                    {% endfor %}
                </tbody>
            </table>
        </div>
    </div>
{% endblock content %}	
</body>
</html>
